broken-security-for-merge-request:
  script:
    - echo Hello World!
  artifacts:
    reports:
      sast: reports/malformed.json
  rules:
    - if: $CI_PIPELINE_SOURCE == 'merge_request_event' && $CI_COMMIT_MESSAGE =~ /USE_MALFORMED_REPORT/

new-security-for-merge-request:
  script:
    - echo Hello World!
  artifacts:
    reports:
      sast: reports/new-vulnerabilities.json
  rules:
    - if: $CI_PIPELINE_SOURCE == 'merge_request_event'

broken-security-for-default-branch-only:
  script:
    - echo Hello World!
  artifacts:
    reports:
      sast: reports/malformed.json
  rules:
    - if: ($CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH && $USE_MALFORMED_REPORT == "true")

correct-security-job:
  script:
    - echo Hello World!
  artifacts:
    reports:
      sast: reports/correct.json
  rules:
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH || $CI_PIPELINE_SOURCE == 'merge_request_event'
